- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.ExportSoarDomainsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.soarDomains/export#body.aspect_1)

**Full name**: projects.locations.instances.soarDomains.export

Exports all SoarDomains to a CSV file. Use this method to download a list of all internal domains for auditing, reporting, or migration purposes.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/soarDomains:export`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance from which to export SoarDomains. Format: projects/{project}/locations/{location}/instances/{instance}/soarDomains |

### Request body

The request body must be empty.

### Response body

The list of SoarDomains on export.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "content": string, "fileName": string, "contentType": string } ``` |

| Fields ||
|---|---|
| `content` | `string` Output only. The CSV file content as bytes. |
| `fileName` | `string` Output only. Filename "Domains.csv". |
| `contentType` | `string` Output only. MIME type "text/csv". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.soarDomains.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).